
Redmine - Feature #7346

Allow a default version to be set on the command line for incoming emails

2011-01-17 08:06 - Garry Fallon

Status: Closed Start date: 2011-01-17

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed   

Description

Feature #5622 added support to allow the target_version (fixed_version in the implementation) to be set in the contents on an

incoming email; this is a useful addition.

It would be really useful to also allow a default version to be set on the command line (for new tickets) when calling receive_pop3 or

receive_imap. This would be really useful in cases where you want all new tickets to be added to a version such as 'Unassigned

Backlog", "For Review", etc...

This is a very minor change to redmine/lib/tasks/email.rake to add fixed_version to the list of attributes that can be set for both

:receive_pop3 and :receive_imap, and add a relevant description to the command line help.  e.g. replace %w(project status tracker

category priority).each { |a| options[:issue][a.to_sym] = ENV[a] if ENV[a] }

with %w(project status tracker category priority fixed_version).each { |a| options[:issue][a.to_sym] = ENV[a] if ENV[a] }

Associated revisions

Revision 14789 - 2015-11-01 09:56 - Jean-Philippe Lang

Allow a default version to be set on the command line for incoming emails (#7346).

History

#1 - 2015-11-01 09:56 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.0

- Resolution set to Fixed

Feature added in r14789.
